Subject: Electronic Resources on Lepidoptera

From: [email-masked]
Date: 14 Sep 1996 19:06:26 GMT

Hi folks!

Just wanted to let new readers of this group know of the existence of:

   Linkname: Electronic Resources on Lepidoptera
        URL: http://www.chebucto.ns.ca/Environment/NHR/lepidoptera.html

Please drop by and visit. We have added new material over the summer.

Best wishes!

Christopher Majka

--
| Christopher Majka - Editor-in-Chief: Chebucto Community Net               |
| Halifax, Nova Scotia, Canada  |  also Editor: Culture & Philosophy        |
| URL = http://www.chebucto.ns.ca/Culture.html EMail <[email-masked]  |